import { RouteResponse } from "@0xsquid/sdk/dist/types";
type FeeFormatted = {
    name: string;
    amountUsdFormatted: string;
    imageUrl: string;
};
export declare const useEstimate: (squidRoute?: RouteResponse["route"]) => {
    fromBalanceFormatted: string;
    slippageFormatted: string;
    totalWithRefundEstimate: {
        totalAmount: string;
        totalAmountUSD: number;
        feeToken: import("@0xsquid/squid-types").Token | undefined;
    };
    fromBalanceEnoughToSwap: boolean;
    feeCostsFormatted: FeeFormatted[];
    totalFeeCostsUsd: string;
    gasToken: import("../..").Token | undefined;
    fromToken: import("@0xsquid/squid-types").Token | undefined;
    fromAmount: string | undefined;
    fromAmountFormatted: string;
    toAmountUSD: string | undefined;
    exchangeRate: string;
    toAmountMinUSD: string;
    toAmountMin: string;
    toAmount: string;
    allFeeCosts: import("@0xsquid/squid-types").FeeCost[];
    allGasCosts: import("@0xsquid/squid-types").GasCost[];
    firstFeeCost: import("@0xsquid/squid-types").FeeCost | undefined;
    firstGasCost: import("@0xsquid/squid-types").GasCost | undefined;
    expressFeeCost: import("@0xsquid/squid-types").FeeCost | undefined;
    integratorFeeCost: import("@0xsquid/squid-types").FeeCost | undefined;
    expectedGasRefundCost: bigint;
    expectedGasRefundCostUSD: string;
    sameTokenBetweenFees: boolean;
    fromTokenPaysGasFees: boolean;
    totalNativeFees: bigint;
    isGasBalanceEnough: boolean;
    minAmountValueWarnMsg: string | undefined;
    estimatedRouteDuration: {
        seconds: number;
        format: (sTemplate?: string | undefined, mTemplate?: string | undefined, hTemplate?: string | undefined) => string;
    };
    gasBalanceNeeded: string | undefined;
};
export {};
